/********************************************************************
 *
 * Copyright:
 *	1999-2000 MOTOROLA, INC. All Rights Reserved.  
 *  You are hereby granted a copyright license to use, modify, and
 *  distribute the SOFTWARE so long as this entire notice is
 *  retained without alteration in any modified and/or redistributed
 *  versions, and that such modified versions are clearly identified
 *  as such. No licenses are granted by implication, estoppel or
 *  otherwise under any patents or trademarks of Motorola, Inc. This 
 *  software is provided on an "AS IS" basis and without warranty.
 *
 *  To the maximum extent permitted by applicable law, MOTOROLA 
 *  DISCLAIMS ALL WARRANTIES WHETHER EXPRESS OR IMPLIED, INCLUDING 
 *  IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR
 *  PURPOSE AND ANY WARRANTY AGAINST INFRINGEMENT WITH REGARD TO THE 
 *  SOFTWARE (INCLUDING ANY MODIFIED VERSIONS THEREOF) AND ANY 
 *  ACCOMPANYING WRITTEN MATERIALS.
 * 
 *  To the maximum extent permitted by applicable law, IN NO EVENT
 *  SHALL MOTOROLA BE LIABLE FOR ANY DAMAGES WHATSOEVER (INCLUDING 
 *  WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS 
 *  INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR OTHER PECUNIARY
 *  LOSS) ARISING OF THE USE OR INABILITY TO USE THE SOFTWARE.   
/*
 * File:		can.h
 * Purpose:		declaration of canc.c routines
 *
 */


void CAN_Node_Init(void);
void CAN_SetPageReg(uint8 PageNumber);
void CAN_MsgObj_Init(uint8 Node, uint8 Msg, uint8 TxRx, uint8 NoBytes, uint8 ID, uint32 IDnum);
void CAN_MsgObj_TxData(uint8 Msg, uint8 NoBytes, uint32 data1, uint32 data2);
void CAN_MsgObj_RxData(uint8 Msg, uint8 NoBytes);
void CAN_MsgObj_IntEnable(uint8 Node, uint8 TxRx, uint8 IntNode);
void CAN_MsgObj_IntReset(uint8 Msg);
void CAN_MsgObjRx_Enable(uint8 Msg);
void CAN_MsgObjTx_Start(uint8 Msg);
void CAN_MsgObjTx_Reset(uint8 Msg);
void QSPI_SendByte(uint16 CanRegAddr, uint8 Data);
uint8 QSPI_ReadByte(uint16 CanRegAddr);
void mcf5272_qspi_init(void);
