;       Program Start-up Code For an Embedded Environment.
;       --------------------------------------------------
;
;       *Written by Nigel Dick 12-10-1999 for Real Time Trace / 
;	 cache dhrystone example.
;	*Modified by Dave McCartney 31st January 2000 for Benchmark wrapper
;	*Modified by Lynne Kelly 5th March 2001 for a MicroAPL test file 
;	 based on the 68020 confidence test software.
;
;       Copyright Motorola 1999.
;
;============================================================================
;                          Vector initialisation 
;============================================================================



		PSECT   
		XDEF    begin
		XREF	start
begin:

; initialize sp to value from link editor command file

	    move.l      #___SP_INIT,a7

; initialize a5 to sdata (provided by linker)

	    move.l      #__SDA_BASE_,a5


;   Set PAR = B2 to enable PST and DDATA signals on BDM connector

	move.l  #$100000CB,a0
	move.b  #$B0,(a0)

; Jumps to subroutine START, the beginning of the confidence test in
;maincf.sa

	jsr	START

;        section .init,2,C. Code in library which provides graceful exit.

        XDEF    ___init
___init:

;        section .fini,2,C
; Return from __init

        rts
        XDEF    ___fini
___fini:

;        section .eini,2,C

; Return from ___fini

        rts
